Java on Ubuntu 15.10


#1

Hi All,

Just a quick note if you’re having trouble installing the openjdk-8-jre-headless package on Ubuntu.

I found that I kept getting an “Unable to locate package openjdk-8-jre-headless” error when using apt-get install.

Turns out that the openjdk-8 package is in the Universe repository - which wasn’t enabled by default in the package manager sources list.

To resolve this issue, do the following from a terminal window:

sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu $(lsb_release -sc) universe" sudo apt-get update sudo apt-get install openjdk-8-jre-headless
Note: If lsb_release -sc fails, you need to install the package lsb-releasesudo apt-get install lsb-release and then re-run the sudo add-apt-repository commands.

ciao, Dave


#2

Hi Dave,

Good catch; but the Universe repository is enabled by default on a fresh install, isn’t it?
(We’ve made multiple fresh install tests, including Ubuntu 15.10, and except for versions < 14.10, there was nothing to add in order to be able to install openjdk-8-jre-headless)

By the way, we’ve posted early this week an update in the Getting Started for Linux, including a slightly different method.

Thanks,
David


#3

Hi Daav,

[quote=“daav”]
Good catch; [/quote]
No problems - I was confused and it took me a little while to figure out why the install was failing.

That was my understanding too - but apparently not on the livecd image I have here.

$ lsb_release -a Distributor ID: Ubuntu Description: Ubuntu 15.10 Release: 15.10 Codename: wily
and the contents of /etc/apt/sources.list

deb cdrom:[Ubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)]/ wily main restricted deb http://archive.ubuntu.com/ubuntu/ wily main restricted deb http://security.ubuntu.com/ubuntu/ wily-security main restricted deb http://archive.ubuntu.com/ubuntu/ wily-updates main restricted

Could be an older install image though…

ciao, Dave


#4

Oh, you’re running it directly from the live CD (“Try Ubuntu” mode), not on an installed version?
I experienced that as well.
So your point stays valid :wink: